Transfer a monitor to another owning tool
curl --request POST \
--url https://api.devhelm.io/api/v1/monitors/{id}/transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"project": "<string>"
}
'import requests
url = "https://api.devhelm.io/api/v1/monitors/{id}/transfer"
payload = {
"reason": "<string>",
"project": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', project: '<string>'})
};
fetch('https://api.devhelm.io/api/v1/monitors/{id}/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devhelm.io/api/v1/monitors/{id}/transfer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reason' => '<string>',
'project' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.devhelm.io/api/v1/monitors/{id}/transfer"
payload := strings.NewReader("{\n \"reason\": \"<string>\",\n \"project\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.devhelm.io/api/v1/monitors/{id}/transfer")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"<string>\",\n \"project\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devhelm.io/api/v1/monitors/{id}/transfer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"<string>\",\n \"project\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"name": "<string>",
"type": "HTTP",
"config": {
"hostname": "<string>",
"recordTypes": [
"A"
],
"nameservers": [
"<string>"
],
"timeoutMs": 123,
"totalTimeoutMs": 123
},
"frequencySeconds": 123,
"enabled": true,
"regions": [
"<string>"
],
"managedBy": "DASHBOARD",
"ownerEnforced": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"muted": true,
"assertions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assertionType": "status_code",
"config": {
"type": "body_contains",
"substring": "<string>"
},
"severity": "fail"
}
],
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"name": "<string>",
"color": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pingUrl": "<string>",
"environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>"
},
"auth": {
"type": "bearer",
"vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"incidentPolicy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggerRules": [
{
"type": "consecutive_failures",
"scope": "per_region",
"severity": "down",
"count": 123,
"windowMinutes": 123,
"thresholdMs": 123,
"aggregationType": "all_exceed"
}
],
"confirmation": {
"type": "multi_region",
"minRegionsFailing": 123,
"maxWaitSeconds": 123
},
"recovery": {
"consecutiveSuccesses": 123,
"minRegionsPassing": 123,
"cooldownMinutes": 123
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"monitorRegionCount": 123,
"checkFrequencySeconds": 123
},
"alertChannelIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"boundStatusPageComponents": [
{
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"componentName": "<string>",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageName": "<string>"
}
],
"currentStatus": "up",
"displayHealth": "healthy",
"bindingReadiness": "ready",
"needsAttention": true,
"openIncident": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastRunAt": "2023-11-07T05:31:56Z",
"lastRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resumesAt": "2023-11-07T05:31:56Z",
"capped": {
"resumesAt": "2023-11-07T05:31:56Z"
},
"missingKeys": [
"<string>"
],
"blockedKeys": [
"<string>"
],
"owner": {
"type": "DASHBOARD",
"project": "<string>"
},
"flakyRate": 123,
"flakySince": "2023-11-07T05:31:56Z",
"flakySeverity": "low",
"lastCheckOutcome": "passed",
"lastCheckRegion": "<string>",
"lastFailureSummary": "<string>",
"lastStateChangeAt": "2023-11-07T05:31:56Z",
"regionHealth": [
{
"region": "<string>",
"verdict": "up"
}
],
"definitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capturePolicy": {
"screenshots": "always",
"trace": "always",
"video": "always"
},
"fastRetryMaxAttempts": 123,
"runParallel": true,
"mutedUntil": "2023-11-07T05:31:56Z",
"muteReason": "<string>",
"pausedAt": "2023-11-07T05:31:56Z",
"pauseReason": "<string>",
"pauseExpiresAt": "2023-11-07T05:31:56Z",
"quarantineOwnerId": "<string>",
"quarantineUntil": "2023-11-07T05:31:56Z",
"quarantineReason": "<string>",
"usageProjection": {
"projectedMonthlyRuns": 123,
"reserveRuns": 123,
"scheduledUsageEatsReserve": true,
"wouldHitHardStop": true,
"wouldHitSpendCap": true,
"projectedOverageRuns": 123,
"meter": "<string>",
"includedRunsLeft": 123,
"projectedOverageCents": 123
},
"liveRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"liveRevisionDigest": "<string>"
}
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Monitors
Transfer a monitor to another owning tool
Changes managedBy in one audited call. Required to change the owner of an owner-enforced or code monitor.
POST
/
api
/
v1
/
monitors
/
{id}
/
transfer
Transfer a monitor to another owning tool
curl --request POST \
--url https://api.devhelm.io/api/v1/monitors/{id}/transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"project": "<string>"
}
'import requests
url = "https://api.devhelm.io/api/v1/monitors/{id}/transfer"
payload = {
"reason": "<string>",
"project": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', project: '<string>'})
};
fetch('https://api.devhelm.io/api/v1/monitors/{id}/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devhelm.io/api/v1/monitors/{id}/transfer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reason' => '<string>',
'project' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.devhelm.io/api/v1/monitors/{id}/transfer"
payload := strings.NewReader("{\n \"reason\": \"<string>\",\n \"project\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.devhelm.io/api/v1/monitors/{id}/transfer")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"<string>\",\n \"project\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devhelm.io/api/v1/monitors/{id}/transfer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"<string>\",\n \"project\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"name": "<string>",
"type": "HTTP",
"config": {
"hostname": "<string>",
"recordTypes": [
"A"
],
"nameservers": [
"<string>"
],
"timeoutMs": 123,
"totalTimeoutMs": 123
},
"frequencySeconds": 123,
"enabled": true,
"regions": [
"<string>"
],
"managedBy": "DASHBOARD",
"ownerEnforced": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"muted": true,
"assertions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assertionType": "status_code",
"config": {
"type": "body_contains",
"substring": "<string>"
},
"severity": "fail"
}
],
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"name": "<string>",
"color": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pingUrl": "<string>",
"environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>"
},
"auth": {
"type": "bearer",
"vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"incidentPolicy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggerRules": [
{
"type": "consecutive_failures",
"scope": "per_region",
"severity": "down",
"count": 123,
"windowMinutes": 123,
"thresholdMs": 123,
"aggregationType": "all_exceed"
}
],
"confirmation": {
"type": "multi_region",
"minRegionsFailing": 123,
"maxWaitSeconds": 123
},
"recovery": {
"consecutiveSuccesses": 123,
"minRegionsPassing": 123,
"cooldownMinutes": 123
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"monitorRegionCount": 123,
"checkFrequencySeconds": 123
},
"alertChannelIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"boundStatusPageComponents": [
{
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"componentName": "<string>",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageName": "<string>"
}
],
"currentStatus": "up",
"displayHealth": "healthy",
"bindingReadiness": "ready",
"needsAttention": true,
"openIncident": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastRunAt": "2023-11-07T05:31:56Z",
"lastRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resumesAt": "2023-11-07T05:31:56Z",
"capped": {
"resumesAt": "2023-11-07T05:31:56Z"
},
"missingKeys": [
"<string>"
],
"blockedKeys": [
"<string>"
],
"owner": {
"type": "DASHBOARD",
"project": "<string>"
},
"flakyRate": 123,
"flakySince": "2023-11-07T05:31:56Z",
"flakySeverity": "low",
"lastCheckOutcome": "passed",
"lastCheckRegion": "<string>",
"lastFailureSummary": "<string>",
"lastStateChangeAt": "2023-11-07T05:31:56Z",
"regionHealth": [
{
"region": "<string>",
"verdict": "up"
}
],
"definitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capturePolicy": {
"screenshots": "always",
"trace": "always",
"video": "always"
},
"fastRetryMaxAttempts": 123,
"runParallel": true,
"mutedUntil": "2023-11-07T05:31:56Z",
"muteReason": "<string>",
"pausedAt": "2023-11-07T05:31:56Z",
"pauseReason": "<string>",
"pauseExpiresAt": "2023-11-07T05:31:56Z",
"quarantineOwnerId": "<string>",
"quarantineUntil": "2023-11-07T05:31:56Z",
"quarantineReason": "<string>",
"usageProjection": {
"projectedMonthlyRuns": 123,
"reserveRuns": 123,
"scheduledUsageEatsReserve": true,
"wouldHitHardStop": true,
"wouldHitSpendCap": true,
"projectedOverageRuns": 123,
"meter": "<string>",
"includedRunsLeft": 123,
"projectedOverageCents": 123
},
"liveRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"liveRevisionDigest": "<string>"
}
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Authorizations
API key (dh_live_...) or Auth0 JWT token
Path Parameters
Body
application/json
New owning tool: DASHBOARD, CLI, TERRAFORM, MCP, or API
Available options:
DASHBOARD, CLI, TERRAFORM, MCP, API Why ownership is moving (recorded in the audit log)
Maximum string length:
280Project the new owner declares for this monitor; null clears it
Maximum string length:
255Response
OK
Full monitor representation
Show child attributes
Show child attributes